<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="xs">
	<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/crystal-configuration">
		<crystal-configuration>
			<xsl:for-each select="shared-location">
				<shared-location>
					<xsl:for-each select="crystal-jar-location">
						<crystal-jar-location>
							<xsl:value-of select="."/>
						</crystal-jar-location>
					</xsl:for-each>
					<xsl:for-each select="crystal-2.5-jar-location">
						<crystal-2.5-jar-location>
							<xsl:value-of select="."/>
						</crystal-2.5-jar-location>
					</xsl:for-each>
					<sourcelocation>
						<xsl:attribute name="id">
							<xsl:value-of select="'25common'"/>
						</xsl:attribute>
						<xsl:for-each select="crystal-2.5-jar-location">
							<xsl:attribute name="folder">
								<xsl:value-of select="."/>
							</xsl:attribute>
						</xsl:for-each>
					</sourcelocation>
					<sourcelocation>
						<xsl:attribute name="id">
							<xsl:value-of select="'30common'"/>
						</xsl:attribute>
						<xsl:attribute name="folder">
							<xsl:value-of select="'common/3.0'"/>
						</xsl:attribute>
					</sourcelocation>
				</shared-location>
			</xsl:for-each>
			<xsl:for-each select="build-number">
				<build-number>
					<xsl:value-of select="."/>
				</build-number>
			</xsl:for-each>
			<xsl:for-each select="build-language">
				<build-language>
					<xsl:value-of select="."/>
				</build-language>
				<javaserverinifilepath>
					<xsl:attribute name="sourcelocation">
						<xsl:value-of select="'25common'"/>
					</xsl:attribute>
					<xsl:attribute name="subfolder">
						<xsl:value-of select="'bin'"/>
					</xsl:attribute>
				</javaserverinifilepath>
			</xsl:for-each>
		</crystal-configuration>
	</xsl:template>
</xsl:stylesheet>
